int resolutionWidth = 800;
int resolutionHeight = 550;

PImage image1,handicon,banner_up, banner_down;
int x,y,w,h,tx,ty,bit,result;
boolean resizeImage, moveImage,moveToolbar, bitSelection ;
//DecimalFormat dec = new DecimalFormat("###.##");

void calcBytes() {
	result = int(w*h*bit/8);
}

void setup() {	
	size(resolutionWidth,resolutionHeight);
	background(115,132,155);
	frameRate(60);            
	image1 = loadImage("images/acropolis32.jpg");
	handicon = loadImage("images/handicon.png");
	banner_down = loadImage("images/banner_down.jpg");

	x = 80;
	y = 20;
	w = 640;
	h = 400;
	tx = 20;
	ty = 450;	
	resizeImage = false;
    moveImage = false;
	moveToolbar = false;
	bitSelection = false;
	bit = 32;	
	calcBytes();
}

void draw() {

    background(255);
	image(image1,x,y,w,h);
    
    
	noFill();
    stroke(0);            
	strokeWeight(2);
    rect(x-1,y-1,w+1,h+1);
	image(handicon,x+w-10,y+h-10);	
	image(banner_down,0,500);


	fill(255,255,255);
	textSize(14);
    text(w+" pixels",x+w/2-30,y+20);
    text(h+" pixels",x+5,y+h/2);
	stroke(255,0,0);
	strokeWeight(4);
	line(x+1,y+15,x+w/2-40,y+15);
	line(x+w/2+43,y+15,x+w-1,y+15);
	line(x+15,y,x+15,y+h/2-20);
	line(x+15,y+h/2+10,x+15,y+h-1);	


	switch(bit) {
		case 2:
			ellipse(15,514,10,10);
			image1 = loadImage("images/acropolis2.jpg");
		break;
		case 8:
			ellipse(15,536,10,10);
			image1 = loadImage("images/acropolis8.jpg");
		break;
		case 16:
			ellipse(95,514,10,10);
			image1 = loadImage("images/acropolis32.jpg");
		break;
		case 32:
			ellipse(95,536,10,10);
			image1 = loadImage("images/acropolis32.jpg");
		break;
	}
	
	noFill();
	stroke(0);
	strokeWeight(1);

	if(moveImage == false && resizeImage == false) {
		if(mouseX > 24 && mouseX < 84	&& mouseY > 504 && mouseY < 524) rect(24,504,60,20);
		if(mouseX > 24 && mouseX < 84	&& mouseY > 526 && mouseY < 546) rect(24,526,60,20);
		if(mouseX > 104 && mouseX < 164	&& mouseY > 504 && mouseY < 524) rect(104,504,60,20);
		if(mouseX > 104 && mouseX < 164	&& mouseY > 526 && mouseY < 546) rect(104,526,60,20);
	}
						
	if(resizeImage == true) {
		if(mouseX-x > 90 && mouseY-y > 0 && mouseY < 500 && mouseX < 800) {
			w = mouseX-x;
			h = mouseY-y;		
			calcBytes();
		}
	}

	fill(59,89,153);
	textSize(18);
	//text("("+w+"x"+h+"x"+bit+") : 8 = "+result+" Bytes ~ " + dec.format(result/1048576.00) + "MB",380,533);
    text("("+w+"x"+h+"x"+bit+") : 8 = "+result+" Bytes",380,533);

	text("2 bit",30, 521);
	text("8 bit",30, 543);
	text("16 bit", 110, 521);
	text("32 bit", 110, 543);
    
   
}



void mousePressed() {
	if(moveImage == false && resizeImage == false) {
		if(mouseX > 24 && mouseX < 84	&& mouseY > 504 && mouseY < 524) {bit=2;bitSelection = true;calcBytes();}
		if(mouseX > 24 && mouseX < 84	&& mouseY > 526 && mouseY < 546) {bit=8;bitSelection = true;calcBytes();}
		if(mouseX > 104 && mouseX < 164	&& mouseY > 504 && mouseY < 524) {bit=16;bitSelection = true;calcBytes();}
		if(mouseX > 104 && mouseX < 164	&& mouseY > 526 && mouseY < 546) {bit=32;bitSelection = true;calcBytes();}		
	}

	
    if(mouseX > x + w && mouseX < x + w+40 && mouseY > y + h && mouseY < y + h+60 && moveImage == false && bitSelection == false) {
        resizeImage = true;                
    }            
    if(mouseX > x && mouseX < x + w && mouseY > y && mouseY < y + h && resizeImage == false && moveToolbar == false && bitSelection == false) {
        moveImage = true;
    }
}

void mouseDragged() {
    if(moveImage == true) {
        x = x + (mouseX-pmouseX);
        y = y + (mouseY-pmouseY);	
		if(x+w > 800) x = 800 - w;
		if(y+h > 500) y = 500 - h;
		if(x < 0) x = 0;
		if(y < 0) y = 0;
    }

}

void mouseReleased() {
    resizeImage = false;
    moveImage = false;
	moveToolbar = false;
	bitSelection = false;
}